Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#3087 closed defect (invalid)

BASS: .0372 reported as .0331

Reported by: SF/cybot_tm Owned by:
Priority: normal Component: Engine: Sky
Keywords: Cc:
Game: Beneath a Steel Sky

Description

my version of Beneath a steel Sky is reported as .0331 by scummvm - but it is .0372

Ticket imported from: #1667760. Ticket imported from: bugs/3087.

Change History (11)

comment:1 by eriktorbjorn, 13 years ago

Out of curiosity, how can you tell it's 0.0372? If I force ScummVM to mis-identify my 0.0372 as 0.0331, I get lots of spelling errors (e.g. "croabar" instead of "crowbar") in the subtitles because they encode the text slightly differently.

And, since 0.0331 is apparently one of the floppy versions, I don't get any voice-overs.

comment:2 by SF/cybot_tm, 13 years ago

cause it is written in sky.rst - and all files are different from my other .0331 version

sky.rst from .0331:
... 04/28/9411:53:15(C) Revolution Software Ltd 1993. ... System 2 written by David Sykes and Tony Warriner
All PC code (bar music drivers) written by David Sykes
Version 0.0331 ...

sky.rst from .0372:
... 08/17/9416:04:34(C) Revolution Software Ltd 1993. ... System 2 written by David Sykes and Tony Warriner
All PC code (bar music drivers) written by David Sykes
Version 0.0372 ...

comment:3 by SF/cybot_tm, 13 years ago

... aah ... i know what you mean ... i have checked this 'spelling errors' - i have this too in this version (the 372 detected as 331 by scummvm)

so it confirms that this must be a correct 372 version

comment:4 by SF/cybot_tm, 13 years ago

Component: Engine: Sky
Game: Beneath a Steel Sky

comment:5 by fingolfin, 13 years ago

Is it by chance a fan translated version, as in many of your other reports?

comment:6 by SF/cybot_tm, 13 years ago

it is english

comment:7 by eriktorbjorn, 13 years ago

If I understand the Sky engine correctly, it determines the game version by looking at the sky.dnr file, known as the "dinner table". The first four bytes are the number of entries in the file, and the rest is the entries themselves. Each entry is 8 bytes.

0.0331 (and 0.0348) has 1445 entries, so that sky.dnr is 4 + 8 * 1445 = 11564 bytes.
0.0372 has 5097 entries, so that sky.dnr is 4 + 8 * 5097 = 40780 bytes.

Is the sky.dnr for your 0.0372 11564 bytes?

comment:8 by lavosspawn, 13 years ago

Can you provide filesizes and md5 sums of your datafiles? Maybe you simply mixed up a few of the datafiles? Or maybe they're simply corrupted. I suppose 12 year old floppy disks may give a couple a read errors :)

comment:9 by SF/cybot_tm, 13 years ago

99b6fd0502b9d1bbbcd2770301573cf9 Config.bat
47e83d4ad8450ce60f99ade3addfd053 Install.exe
dc558ed4c94f9cf9b6c134da7d47f601 Npp.com
7215ee9c7d9dc229d2921a40e899ec5f Sky
d707d5ef1a89e99d673f038510c2c579 Sky.cfg
2c8ca420599a4e943ae3b2130f264120 Sky.dnr
272bb923dbdc33be7cd373d5eb93ae98 Sky.dsk
cca416bb98c193d63519a32a8dfa5ffb Sky.exe
9a73b973021ba03ab494514e844097b6 Sky.rst

1999-08-15 00:32 11 Config.bat
1999-08-15 00:32 28.925 Install.exe
1999-08-15 00:32 42 Npp.com
1999-08-15 00:32 1 Sky
2004-04-13 19:22 5 Sky.cfg
1999-08-15 00:32 11.564 Sky.dnr
1999-08-15 00:33 8.829.811 Sky.dsk
1999-08-15 00:33 402.642 Sky.exe
1999-08-15 00:33 53.720 Sky.rst

comment:10 by lavosspawn, 13 years ago

You've simply got a copy of broken datafiles.
.0372 would be a CD version with speech, but as your SKY.DSK is ~8MB instead of ~80MB, it must come from some kind of floppy version and doesn't belong to the pack you get that RST file from. Also, the DSK file size doesn't match any of the versions we are aware of.
The size of your .DNR file matches .0331 or .0348, but the md5sum is incorrect for both of them, so it's most probably corrupted.

If I was you, I'd just delete that copy and forget all about it. :)

closed.

comment:11 by lavosspawn, 13 years ago

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.